#ifndef FIGURA_H
#define FIGURA_H

#include <vector>
#include <iostream>

namespace figury {

    typedef char Kolor;
    typedef int Dlugosc;

    /* klasa bazowa dla hierarchii klas figur */
    class Figura
    {
    public:
        static const Kolor KOLOR_TLA = ' ';

        Figura(Kolor k = KOLOR_TLA) : kolor_(k) {}
        virtual ~Figura() {}  //musi byc destruktor wirtualny, jezeli bedzie sie dziedziczyc po klasie

        virtual void draw(std::ostream& os) const = 0;
    protected:
        Kolor kolor_;
    };
    /** funkcja pomocnicza */
    std::ostream& operator<<(std::ostream& os, const Figura& fig);

}

#endif

